curl --request PATCH \
--url https://api.example.com/v2/partners/{partner_id}/internal-contacts/{assignment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/v2/partners/{partner_id}/internal-contacts/{assignment_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/v2/partners/{partner_id}/internal-contacts/{assignment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"internal_role": "account_manager",
"partner_id": "<string>",
"remote_id": "<string>",
"internal_contact": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"email": "<string>",
"given_name": "<string>",
"family_name": "<string>",
"name": "<string>",
"phone": "<string>",
"job_title": "<string>",
"object": "<string>"
},
"object": "<string>"
}{
"type": "entity-not-found",
"status": 404,
"title": "Entity not found",
"detail": "<string>"
}{
"type": "<string>",
"status": 409,
"title": "<string>",
"detail": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Update Internal Contact Role
Update Internal Contact Role
Change the role of an existing assignment. The underlying InternalContact (person) is not modified.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for updating an internal contact's role on a partner.
account_manager, account_executive, csm, lead, co_lead, practice_lead Response
Successful Response
An InternalContact assigned to a Partner with a specific role.
partner_id is null for "floating" assignments — contacts whose role is
declared at the organization level but who have not yet been attached to a
specific partner.
The role this internal contact holds for this partner.
account_manager, account_executive, csm, lead, co_lead, practice_lead Third-party sync identifier for upsert deduplication.
An internal contact (CSM, AM, etc.) at the organization level.
Show child attributes
Show child attributes
String representing the object's type. Objects of the same type share the same value.
